/* TOC
 1. Theme Settings
 2. Reset CSS
 3. Base Styles
 4. Application Styles
*/

@import "/stylesheets/glyphicons.css";

@font-face {
  font-family: 'Le Jour Script';
  src: url('/fonts/le-jour-script.otf') format('opentype');
}

/* -- 1. Theme Settigns -- */
:root {
  --rem: 16px;
  --width: 64rem;
  --navpos: absolute; /* fixed | absolute */
  --font-paragraph: 1em/1.7 'cormorant garamond', serif;
  --font-highlight: 0.9em/1.5 'Le Jour Script', 'cormorant garamond', serif;
  --font-code: 0.9em/1.4 'DejaVu Sans Mono', monospace;
  --border: 1px solid var(--color-medium);
  --ornament: '‹‹‹ ›››';

  /* colors */
  /* --color-orange: #eb6841; */
  /* --color-cyan: #00a0b1; */
  /* --color-red: #b44b50; */
  /* --color-yellow: #f6ca75; */

  /* --color-foreground: #433; */
  /* --color-background: #fbfbfb; */
  /* --color-background-accent: #ddd; */

  /* --color-dark: #888; */
  /* --color-light: #ddd; */
  /* --color-medium: #9B9B9B; */
  /* --color-link: #07c; */
  /* --color-emphasis: var(--color-orange); */
  /* --color-emphasis-background: #0881; */
  /* --color-background-red: #ffdbdd; */

  /* --color-contrast: #fbfbfb; */
  /* --color-background-contrast: rgba(0,0,0,0.5); */
  /* --color-background-much-contrast: rgba(0,0,0,0.8); */

  --color-amber: #c79b4d;
  --color-ink-blue: #2f3a56;
  --color-brown: #6e4b2d;
  --color-parchment: #e3c98a;

  --color-foreground: #4e7296;
  --color-background: #fbfbfb; /* #f4e3b2; */
  --color-background-accent: #d4b47a;

  --color-dark: #4a3b27;
  --color-light: #f7eed7;
  --color-medium: #9e835a;
  --color-link: #4a6b9d;
  --color-emphasis: var(--color-amber);
  --color-emphasis-background: rgba(199, 155, 77, 0.15);
  --color-background-brown: #e8d2a5;

  --color-contrast: #fdfaf3;
  --color-background-contrast: rgba(0, 0, 0, 0.4);
  --color-background-much-contrast: rgba(0, 0, 0, 0.75);

  --color-red: #b44b50;
  --color-orange: #eb6841;
  --color-yellow: #f6ca75;
  --color-green: #95bb72;
  --color-white: #fbfbfb;

}

/* -- 2. Reset CSS -- */
/* reset block elements  */
* {
  box-sizing: border-box;
  border-spacing: 0;
  margin: 0;
  padding: 0;
}
header,
footer,
figure,
table,
video,
details,
blockquote,
ul,
ol,
dl,
fieldset,
pre,
pre > code,
caption {
}

video,
summary,
input,
select {
  outline: none;
}

/* reset clickable things  (FF Bug: select:hover prevents usage) */
a,
button,
select,
summary {
  color: var(--color-link);
  cursor: pointer;
}

/* 3. Base Style */
html {
  font-family: 'cormorant garamond', serif;
  font-size: var(--rem);
  background: var(--color-background);
}

body {
  font: var(--font-paragraph);
  color: var(--color-foreground);
  padding: 1rem 2rem;
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap: 1rem;
}

/* body > main { */
/*   min-width: 360px; */
/*   margin: 0 auto; */
/* } */
/* body > footer { */
/*   margin: 10rem 0rem 0rem; */
/*   font-size: 90%; */
/* } */
p {
  margin: 0.6em 0;
}

/* links */
a[href] {
  text-decoration: underline solid var(--cmed);
  text-underline-position: under;
}
a[href^='#'] {
  text-decoration: none;
}
a:hover,
summary:hover {
  filter: brightness(108%);
  color: var(--color-emphasis);
  border-color: var(--color-emphasis);
}

/* lists */
ul,
ol,
dl {
  margin: 1rem 0;
  padding: 0 0 0 2em;
}
li:not(:last-child),
dd:not(:last-child) {
  margin-bottom: 0.5rem;
}
dt {
  font-weight: bold;
}

/* headings */
h1,
h2,
h3 {
  margin: 1.5rem 0 0.5rem;
  line-height: 1.2em;
  clear: both;
}
h1 + h2,
h2 + h3,
h3 + h4,
h4 + h5 {
  margin-top: 0.5em;
  padding-top: 0;
} /* non-clashing headings */
h1 {
  font-size: 6em;
  font-weight: 300;
  text-align: center;
  margin: 5rem 0;
}
h2 {
  font-size: 2em;
  font-weight: 300;
}
h3 {
  font-size: 1.5em;
  font-weight: 400;
}

/* images */
img,
svg {
  max-width: 100%;
  vertical-align: text-top;
  object-fit: cover;
}

/* misc */
hr {
  border: 0;
  border-top: 0.1rem solid var(--color-medium);
}
::selection,
mark {
  background: var(--color-link);
  color: var(--color-background);
}

/* buttons */

button,
select,
a.button {
  font: var(--font-highlight);
  border-radius: 4px;
  border: 1.5px solid var(--color-medium);
  padding: 0.4em 0.8em;
  font-weight: bold;
  background-color: var(--color-light);
  margin: 0.5em;
  border: 1.5px solid var(--color-link);
}
a.button,
button {
  padding: 0.4em 1em;
  font-size: 85%;
  letter-spacing: 0.1em;
}
a.button:hover,
button:hover {
  filter: brightness(108%);
}

button[disabled] {
  color: var(--color-dark);
  border-color: var(--color-medium);
  cursor: not-allowed;
}

button > img {
  height: 1.2em;
  margin-right: 0.4em;
}

/* -- 4. Application Styles -- */

html {
  min-width: 360px;
}

/* Banner */

body > header {
  background: url('/images/banner.png') var(--color-background-accent);
  background-repeat: no-repeat;
  background-size: cover;
  background-position-y: -6rem;
  padding: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;

  min-width: 1200px;
  max-width: 1600px;
  width: 100%;
  height: 28rem;
}

a.site-title {
  font-size: 8rem;
  color: var(--color-background-much-contrast);
  text-shadow: 0.2rem 0.2rem 0.25rem var(--color-amber);
}

main {
  display: flex;
  gap: 1rem;
  height: 100%;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  h1 {
      text-transform: uppercase;
      margin: 0;
  }
  .curly {
      font: var(--font-highlight);
      text-transform: none;
  }
}

body .background {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  opacity: 0.4;
  background-image: url('/images/background.png');
  background-size: cover;
}
main section {
  
}

#own-profile {
  width: 100%;
  height: 100%;
}

#other-profiles {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1rem;

  section {
    height: 24rem;
  }
}


/* Quotes */

blockquote {
  color: var(--color-medium);
  font-size: 1rem;
  border-left: 1px solid var(--color-light);
  padding: 0.8rem 1.2rem;
  margin: 0 1.2rem;
}

blockquote q {
  font-size: 0.8rem;
  font-style: italic;
}

blockquote q::before {
  content: '\2014 \00A0';
}

blockquote q::after {
  content: '';
}


/* Color Classes */

.orange { color: var(--color-orange); }
.cyan { color: var(--color-cyan); }
.red { color: var(--color-red); }

.orange-background { background-color: var(--color-orange); }
.cyan-background { background-color: var(--color-cyan); }
.red-background { background-color: var(--color-red); }

/* Text Content */
